Bug 153103 (el4-ia64-cacheflush) - ia64 elfloader cache flush
Summary: ia64 elfloader cache flush
Status: CLOSED ERRATA
Alias: el4-ia64-cacheflush
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: XFree86
Version: 4.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-01 15:59 UTC by Alex Williamson
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-10-05 14:33:04 UTC


Attachments (Terms of Use)
proposed patch (955 bytes, patch)
2005-04-01 16:00 UTC, Alex Williamson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:500 qe-ready SHIPPED_LIVE xorg-x11 bug fix and enhancement update 2005-10-05 04:00:00 UTC

Description Alex Williamson 2005-04-01 15:59:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050325 Firefox/1.0.2 (Debian package 1.0.2-1)

Description of problem:
ia64 needs an extra cache flush to ensure the icache is coherent when modules are loaded.  I'll attach a patch that explicitly flushes the icache.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-23.EL

How reproducible:
Didn't try


Additional info:

Comment 1 Alex Williamson 2005-04-01 16:00:47 UTC
Created attachment 112588 [details]
proposed patch

Comment 4 Rohit Seth 2005-04-12 16:15:36 UTC
We are seeing this issue on systems in Intel.  Please raise the priroity of 
this issue to high.  This is must fix for EL4 U2 (A lot of our internal 
validation teams are dependent on this issue).

Comment 5 Mike A. Harris 2005-04-13 21:33:46 UTC
Thanks for the report, and the patch.

We have reviewed the issue and believe the patch is safe to apply.  We've
also confirmed that this patch has already been integrated into X.Org CVS
HEAD, and is being considered as a candidate for the 6.8.x stable branch
tree as well, so we've approved it for inclusion in RHEL4 U2 also.

Once U1 has been released, and our CVS tree is unfrozen, we will
incorporate the fix into RHEL4 and build new packages in the
RHEL4 U2 tree.  When new rpm packages are built, we'll make packages
available to you for testing, and update the status here.

Thanks again.


Comment 6 Mike A. Harris 2005-05-19 19:06:21 UTC
Status update:

The patch for this issue is in our queue to be included in RHEL U2.  Once
RHEL U1 is finalized and we're certain no further rebuilds will be required
for U1, we will be opening our CVS tree for U2, and the changes will be
committed to CVS at that time.  We will also provide updated rpm packages
at that time, and update the status of this report.

Thanks.

Comment 13 Mike A. Harris 2005-06-14 13:35:18 UTC
HP and Intel:

The patch supplied by Alex in comment #1 has been added to a RHEL4 U2
build which is now available for testing at the following URL.  Please
test these rpms at your earliest convenience and report back the status
of your testing results.

xorg-x11-6.8.2-1.EL.13.8 is now available for download via ftp at
the following URL:  ftp://people.redhat.com/mharris/testing/4E



Comment 15 Red Hat Bugzilla 2005-10-05 14:33:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-500.html



Note You need to log in before you can comment on or make changes to this bug.